Subject: ANNOUNCE: Font::TFM, TeX::DVI, TeX::Hyphen, all 0.03
From: [email-masked] (Honza Pazdziora)
Date: 2 Mar 1997 15:28:11 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I have uploaded to PAUSE modules Font::TFM, TeX::DVI and TeX::Hyphen.

Font::TFM reads information from TeX's TFM file and provides methods
for manipulation with this info, eg. dimensions of a character, expansion
of ligatures and kernings, width of the whole word, parameters of the
font, ...

TeX::DVI provides interface for writting DVI file from perl. It has
basic methods for elements in the .dvi file, as preamble and
postamble, begin and end of page, change font, writting out words and
spaces. It cooperates with the Font::TFM objects to get info about the
letters it the font.

TeX::Hyphen uses TeX's hyphenation patterns to hyphenate words,
returns possitions in a word where the hyphenation is allowed.

All modules are in version 0.03 and should arrive to CPAN soon. If you
find them of some use and have any comment, please send them to me.
Also, if you have suggestion about the methods and their structure,
I would like to hear them. They were created to suit my needs but may
get polished in the future development.

Honza Pazdziora (JANPAZ on CPAN).

--
------------------------------------------------------------------------
 Honza Pazdziora | [email-masked] | http://www.fi.muni.cz/~adelton/
                   I can take or leave it if I please
------------------------------------------------------------------------